org.faceless.pdf2

## Enum OutputProfiler.ImageType

- java.lang.Object
- - java.lang.Enum<OutputProfiler.ImageType>
  - - org.faceless.pdf2.OutputProfiler.ImageType

- All Implemented Interfaces:
    Serializable, Comparable<OutputProfiler.ImageType>
  Enclosing class:
    OutputProfiler

      public static enum OutputProfiler.ImageType
      extends Enum<OutputProfiler.ImageType>

  ImageType constants are passed in to the `setMaxImageDPI` method

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Color` Constant which represents a color image
    `Gray` Constant which represents a grayscale or other single-component image
    `OneBit` Constant which represents a "one-bit" image, typically (but not always) black and white.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static OutputProfiler.ImageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OutputProfiler.ImageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OneBit

          public static final OutputProfiler.ImageType OneBit

      Constant which represents a "one-bit" image, typically (but not always) black and white.

    - #### Gray

          public static final OutputProfiler.ImageType Gray

      Constant which represents a grayscale or other single-component image

    - #### Color

          public static final OutputProfiler.ImageType Color

      Constant which represents a color image

  - ### Method Detail

    - #### values

          public static OutputProfiler.ImageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OutputProfiler.ImageType c : OutputProfiler.ImageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OutputProfiler.ImageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<OutputProfiler.ImageType>`

Copyright © 2001-2015 Big Faceless Organization